# AttributeMatchingStrategy

interface AttributeMatchingStrategy<T>

An attribute matching strategy is responsible for providing information about how an Attribute is matched during dependency resolution. In particular, it will tell if a value, provided by a consumer, is compatible with a value provided by a candidate.

#### Since

3.3

#### Parameters

<T>

the type of the attribute

## Functions

getCompatibilityRules
Link copied to clipboard
abstract fun getCompatibilityRules(): CompatibilityRuleChain<T>
getDisambiguationRules
Link copied to clipboard
abstract fun getDisambiguationRules(): DisambiguationRuleChain<T>
ordered
Link copied to clipboard
abstract fun ordered(comparator: Comparator<T>)
abstract fun ordered(pickLast: Boolean, comparator: Comparator<T>)
A short-hand way to define both a compatibility rule and a disambiguation rule based on an order defined by the provided Comparator.